%include common-macros.specinclude

Summary: An interpreted, interactive, object-oriented programming language.
Name: lsb-python
Version: 2.4.6
Release: 10.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: Python Software Foundation License
Group: Appbat/languages
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 3.1
BuildRequires: lsb-build-cc

Source0: http://www.python.org/ftp/python/%{version}/Python-%{version}.tar.bz2
Patch0: Python-2.4.4.patch
Patch1: python-test-bug-2952.patch

%description
LSB conforming version of Python.  An interpreted, interactive,
object-oriented programming language.  Python includes modules, classes,
exceptions, very high-level dynamic data types, and dynamic typing.
Python is added to the LSB Application Battery because the included
test suite exercises many LSB features including sockets/networking,
curses and others.

%prep
%setup -q -n Python-%{version}
%patch0 -p1 -b .lsbcc
%patch1 -p0 -b .bug-2952

%build
# common environment settings
# building for 3.1, but we may need some libbat bits
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}
%define includedir %{prefix}/include
export PKG_CONFIG_PATH=%{libdir}-3.1/pkgconfig

# build as a 3.1 compliant app
export LSBCC_LSBVERSION=3.1

# this build wants this set - reason unknown
export LDSHARED="lsbcc -shared"

# set value so netpacket support won't be used
export ac_cv_header_netpacket_packet_h=no

# handle ppc64 differently to avoid encountering a compiler optimization bug in gcc
./configure \
%ifarch ppc64
    OPT="-g -O -Wall -Wstrict-prototypes" \
%endif
    --prefix=%{app_prefix} \
    LN="ln -s"

make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# make a README about the patch
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
if [ "$COUNT" -gt 1 ];then
  COUNT=`expr $COUNT - 1`
  install -d %{buildroot}%{sharedir}/doc
  head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.python.build.patches 
fi

%pre

%post

%preun

%postun

%clean
rm -rf %{buildroot}

%files

%attr ( -   root root ) /opt/lsb/appbat

%changelog
* Fri May 13 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Tue Mar 18 2008 Stew Benedict <stewb@linux-foundation.org>
- uplift to 2.4.5

